/**
 * @Author: Kane Wang <wangkane@qq.com>
 * @Date: 2025-11-17 17:31:15
 * @LastEditors: Kane Wang
 * @LastModified: 2025-11-17 17:31:16
 * @FilePath: src/main/java/com/cpic/xim/web/controllers/fileupload/MoveFileResult.java
 * @Description:
 *
 *               Copyright (c) 2025 by Kane All rights reserved
 */
package com.cpic.xim.web.controllers.fileupload;

import com.cpic.xim.web.controllers.QueryResponse;

import com.fasterxml.jackson.annotation.JsonProperty;

public class MoveFileResponse extends QueryResponse
{

    @JsonProperty("new-file-path")
    private String newFilePath;

    public MoveFileResponse()
    {
        super();
    }

    public MoveFileResponse(
            boolean success,
            String message,
            String newFilePath
    )
    {
        super( success, message );

        this.newFilePath = newFilePath;
    }

    public String getNewFilePath()
    {
        return newFilePath;
    }

    public void setNewFilePath( String newFilePath )
    {
        this.newFilePath = newFilePath;
    }
}
